<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.bf.mapper.FhzgAutoTaskPlanMapper">

    <resultMap id="BaseResultMap" type="com.hdkj.lt.bf.entity.FhzgAutoTaskPlan">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="cityCode" column="city_code" jdbcType="VARCHAR"/>
            <result property="countryCode" column="country_code" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="planCreateTime" column="plan_create_time" jdbcType="TIMESTAMP"/>
            <result property="planEndTime" column="plan_end_time" jdbcType="TIMESTAMP"/>
            <result property="status" column="status" jdbcType="INTEGER"/>
    </resultMap>

    <select id="getHaveStartKgAndContactFeederList" resultType="java.lang.String">
        select distinct feeder from t_feeder_topo where city_code = #{cityCode} and is_start_kg = 1 and normal_open = 'true';
    </select>

    <select id="getFeederInfoByCityCode" resultType="com.hdkj.lt.core.bizms.modle.po.DwdShbDsFeederBase">
        select * from dwd_shb_ds_feeder_base where city = #{cityCode} and psr_state = '20';
    </select>


</mapper>
